spoonity logo
    • API
    • Documentation
    • Support
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
    • Sign in

    Checkin

    Checkins are used to find customer records through personal identifiers. They are a support system for other processes that require knowing who a customer is.

    The checkin model

    The card model contains identifying information about the card.

    Properties

    • Name
      id
      Type
      string
      Description

      Unique identifier for the checkin.

    • Name
      customer_id
      Type
      string
      Description

      Identifier for the customer who was checked in.

    • Name
      store_id
      Type
      string
      Description

      Identifier for the store where the checkin occurred.

    • Name
      data
      Type
      object
      Description

      An arbitrary JSON object containing additional information about the checkin.

    • Name
      date_created
      Type
      string
      Description

      Timestamp of when the checkin was created.

    • Name
      date_updated
      Type
      string
      Description

      Timestamp of when the checkin was last updated.

    • Name
      status
      Type
      string
      Description

      A string enum for indicating the current status of the checkin.


    GET/checkins

    Retrieve a list of checkins

    This endpoint allows you to retrieve a paginated list of checkins. By default, this will include the 25 most recent objects, starting with the most recent.

    Query parameters

    • Name
      limit
      Type
      integer
      Description

      The maximum number of entries to include in the response.

    • Name
      page
      Type
      integer
      Description

      An offset to determine which groups of results to return.

    • Name
      query
      Type
      string
      Description

      A search string which can be used to filter results by various criteria (see below).

    Filter parameters

    These attributes can be used to filter the result set returned by the API. They are included as a space-delimited string of key:value pairs.

    • Name
      c
      Type
      string
      Description

      ID of the customer who checked in.

    • Name
      s
      Type
      string
      Description

      ID of the store where the checkin occurred.

    Request

    GET
    /checkins
    curl -G https://api.spoonity.com/checkins \
      -H "Authorization: Bearer {token}"
    

    Response

    {
      "items": [
        {
          "id": "card_32f9395aa82770bb",
          "customer_id": "cust_175a9abec1882d12",
          "store_id": "stor_bfa16952f3f776df",
          "data": {
            "payment": null,
          },
          "date_created": "2026-02-02T13:48:05.683Z",
          "date_updated": "2026-02-02T13:48:05.683Z",
          "status": "ACTIVE"
        }
      ],
      "paging": {
        "next": "https://api.spoonity.com/checkins?limit=25&page=2",
        "prev": null
      }
    }
    

    POST/checkins

    Create a checkin

    This endpoint allows you to create a new checkin. A checkin must include a customer ID and a store ID.

    Required attributes

    • Name
      customer_id
      Type
      string
      Description

      The ID of the customer checking in.

    • Name
      store_id
      Type
      string
      Description

      The ID of the store where the checkin is occurring.

    Optional attributes

    • Name
      data
      Type
      object
      Description

      An arbitrary JSON object containing additional information about the checkin.

    Request

    POST
    /checkins
    curl -G https://api.spoonity.com/checkins \
    -H "Authorization: Bearer {token}" \
    -d customer_Id="cust_175a9abec1882d12" \
    -d store_id="stor_bfa16952f3f776df"
    

    Response

    {
      "id": "card_32f9395aa82770bb",
      "customer_id": "cust_175a9abec1882d12",
      "store_id": "stor_bfa16952f3f776df",
      "data": {},
      "date_created": "2026-02-02T13:48:05.683Z",
      "date_updated": "2026-02-02T13:48:05.683Z",
      "status": "ACTIVE"
    }
    

    DELETE/checkins/:id

    End a checkin

    This endpoint allows you to end a checkin. Ended checkins can not longer be used to identify a customer.

    Path parameters

    • Name
      id
      Type
      string
      Description

      The checkin ID.

    Request

    DELETE
    /checkins/:id
    curl -G https://api.spoonity.com/checkins/:id \
    --request DELETE \
    -H "Authorization: Bearer {token}"
    

    Response

    {}
    

    Was this page helpful?

    PreviousCashier
    NextConfiguration

    © Copyright 2026 Spoonity, Inc. All rights reserved.